Index: SRC/src/fr/triangle/hyperalign/kernel/dico/Dictionary.java
===================================================================
--- SRC/src/fr/triangle/hyperalign/kernel/dico/Dictionary.java	(revision 37)
+++ SRC/src/fr/triangle/hyperalign/kernel/dico/Dictionary.java	(revision 38)
@@ -4,6 +4,7 @@
 import java.net.URL;
 import java.util.ArrayList;
 import java.util.Collections;
+import java.util.Enumeration;
 import java.util.HashMap;
 import java.util.List;
 import java.util.Vector;
@@ -56,19 +57,19 @@
 	/**
 	 * This static value corresponds to the level in the dictionary : "dico"
 	 */
-	public final static String DICO_DICO = "dictionary_dico";
+	public final static String DICO_DICO = "dico";
 	/**
 	 * This static value corresponds to the level in the dictionary : "form"
 	 */
-	public final static String DICO_FORM = "dictionary_form";
+	public final static String DICO_FORM = "form";
 	/**
 	 * This static value corresponds to the level in the dictionary : "lemme"
 	 */
-	public final static String DICO_LEMME = "dictionary_lemme";
+	public final static String DICO_LEMME = "lemme";
 	/**
 	 * This static value corresponds to the level in the dictionary : "occ"
 	 */
-	public final static String DICO_OCC = "dictionary_occ";
+	public final static String DICO_OCC = "occ";
 
 
 	public final static String OCC = "occ";//Occ
@@ -129,7 +130,7 @@
 	public Vector<DictionaryElement> getLemmes(){
 		Vector<DictionaryElement> children = null;
 		if(root!=null){
-			children = root.children();
+			children = root.childrenVect();
 		}
 		return children;
 	}
@@ -147,13 +148,10 @@
 			Vector<DictionaryElement> children = getLemmes();
 			//System.out.println("Terminology.getConcept() with id "+id);
 			//Concept LEVEL
-			if(children.size()>0){
-				for(int i = 0 ; i < children.size(); ++i){
-					DictionaryElement child = (DictionaryElement) children.get(i);
-					if(child.getId().equals(id)){
-						lemme = child;
-						//System.out.println("------------- concept => "+child);	
-					}
+			for (DictionaryElement child : children) {
+				if(child.getId().equals(id)){
+					lemme = child;
+					//System.out.println("------------- concept => "+child);	
 				}
 			}
 			return lemme;
@@ -186,27 +184,24 @@
 	public Vector<DictionaryElement> getNearLemme(String word, DictionaryElement root){
 		Vector<DictionaryElement> nearLemmes = new Vector<DictionaryElement>();
 		boolean isNearLemme = false;
-		Vector<DictionaryElement> children = root.children();
+		Enumeration<DictionaryElement> children = root.children();
 		if(children!=null){
-
 			//Concept LEVEL
-			if(children.size()>0){
-				for(int i = 0 ; i < children.size(); ++i){
-					DictionaryElement child = (DictionaryElement) children.get(i);
-					StringDistance stDist = new StringDistance(); 
-					int dist = stDist.computeLevenshteinDistance(child.getName(), word);
+			while(children.hasMoreElements()){
+				DictionaryElement child = (DictionaryElement) children.nextElement();
+				StringDistance stDist = new StringDistance(); 
+				int dist = stDist.computeLevenshteinDistance(child.getName(), word);
 
-					if(dist <= 2){
-						//System.out.println("Distance entre ["+child.getName()+"] et ["+word+"] = "+dist);
+				if(dist <= 2){
+					//System.out.println("Distance entre ["+child.getName()+"] et ["+word+"] = "+dist);
+					nearLemmes.add(child);
+				}
+
+				else {
+					isNearLemme = getForm(word, child, stDist);
+					if(isNearLemme){
 						nearLemmes.add(child);
 					}
-
-					else {
-						isNearLemme = getForm(word, child, stDist);
-						if(isNearLemme){
-							nearLemmes.add(child);
-						}
-					}
 				}
 			}
 		}
@@ -216,17 +211,14 @@
 	public DictionaryElement getLemme(String word, DictionaryElement root){
 		DictionaryElement lemme = null;
 		boolean isNearLemme = false;
-		Vector<DictionaryElement> children = root.children();
+		Enumeration<DictionaryElement> children = root.children();
 		if(children!=null){
 
 			//Concept LEVEL
-			if(children.size()>0){
-				for(int i = 0 ; i < children.size(); ++i){
-					DictionaryElement child = (DictionaryElement) children.get(i);
-
-					if(child.getName().equals(word)){
-						return child;
-					}
+			while(children.hasMoreElements()){
+				DictionaryElement child = (DictionaryElement) children.nextElement();
+				if(child.getName().equals(word)){
+					return child;
 				}
 			}
 		}
@@ -242,22 +234,18 @@
 	 */
 	public boolean getForm(String word, DictionaryElement root, StringDistance stDist){
 		//System.out.println("------------------TerminologyManager.getTerm");
-		Vector<DictionaryElement> children = root.children();
+		Enumeration<DictionaryElement> children = root.children();
 		//Concept LEVEL
-		if(children.size()>0){
-			for(int i = 0 ; i < children.size(); ++i){
-				DictionaryElement child = (DictionaryElement) children.get(i);
+		while(children.hasMoreElements()){
+			DictionaryElement child = (DictionaryElement) children.nextElement();
 
-				int dist = stDist.computeLevenshteinDistance(child.getName(), word);
-				//System.out.println("Distance entre ["+child.getElement()+"] et ["+word+"] = "+dist);
-
-				//if(child.getElement().equals(word)){
-				if(dist < 2){
-					return true;
-				}
+			int dist = stDist.computeLevenshteinDistance(child.getName(), word);
+			//System.out.println("Distance entre ["+child.getElement()+"] et ["+word+"] = "+dist);
+			//if(child.getElement().equals(word)){
+			if(dist < 2){
+				return true;
 			}
 		}
-
 		return false;
 	}
 
@@ -268,11 +256,10 @@
 	public Vector<DictionaryElement> getForms(){
 		Vector<DictionaryElement> forms = new Vector<DictionaryElement>(); 
 		Vector<DictionaryElement> lemmes = getLemmes();
-		for(int i = 0 ; i < lemmes.size() ; ++i){
-			DictionaryElement lemme = lemmes.get(i);
-			Vector<DictionaryElement> formsOfLemme = lemme.children();
-			for(int j = 0 ; j < formsOfLemme.size() ; ++j){
-				forms.add(formsOfLemme.get(j));
+		for (DictionaryElement lemme : lemmes) {
+			Enumeration<DictionaryElement> formsOfLemme = lemme.children();
+			while(formsOfLemme.hasMoreElements()){
+				forms.add(formsOfLemme.nextElement());
 			}
 		}
 		return forms;
@@ -289,9 +276,9 @@
 		for(int i = 0 ; i < terms.size() ; ++i){
 			DictionaryElement termEl = terms.get(i);
 			if(termEl.getName().equals(term)){
-				Vector<DictionaryElement> occs = termEl.children();
-				for(int j = 0 ; j < occs.size() ; ++j){
-					DictionaryElement occEl = occs.get(j);
+				Enumeration<DictionaryElement> occs = termEl.children();
+				while(occs.hasMoreElements()){
+					DictionaryElement occEl = occs.nextElement();
 					if(occEl.getId().equals(idOcc)){
 						return occEl;
 					}
@@ -345,11 +332,11 @@
 			DictionaryElement term = null;
 			if(element.getReference().equals(Dictionary.DICO_FORM)){
 				term = element;
-				Vector<DictionaryElement> children = term.children();
-				System.out.println("Dictionary.getOccurrence() NB OCCS "+children.size()+" for term ["+term+"]");
+				Enumeration<DictionaryElement> children = term.children();
+				System.out.println("Dictionary.getOccurrence() for term ["+term+"]");
 				
-				for(int i = 0 ; i < children.size();++i){
-					occEl = children.get(i);
+				while(children.hasMoreElements()){
+					occEl = children.nextElement();
 					//System.out.println("Terminology.getOccurrence() >>>> "+occEl);
 					if(occEl.getOccurrence()==occSet){
 						System.out.println("Dictionary.getOccurrence() >>>> "+occEl);
@@ -391,11 +378,11 @@
 	public Vector<DictionaryElement> getOccurrencesForLemme(DictionaryElement lemme){
 		Vector<DictionaryElement> occs = new Vector<DictionaryElement>();
 		if(lemme.children()!=null){
-			for(int i = 0 ; i < lemme.children().size(); ++i){
-				DictionaryElement form = (DictionaryElement) lemme.children().get(i);
+			while(lemme.children().hasMoreElements()){
+				DictionaryElement form = (DictionaryElement) lemme.children().nextElement();
 				if(form.children()!=null){
-					for(int j = 0 ; j < form.children().size(); ++j){
-						DictionaryElement occ = (DictionaryElement) form.children().get(j);
+					while(form.children().hasMoreElements()){
+						DictionaryElement occ = (DictionaryElement) form.children().nextElement();
 						occs.add(occ);
 					}
 				}
@@ -430,9 +417,9 @@
 	 */
 	public DictionaryElement getFormWithLemme(DictionaryElement lemme, String formStr){
 		DictionaryElement form = null;
-		Vector<DictionaryElement> forms = lemme.children();
-		for(int i = 0 ; i < forms.size() ; ++i){
-			form = forms.get(i);
+		Enumeration<DictionaryElement> forms = lemme.children();
+		while(forms.hasMoreElements()){
+			form = forms.nextElement();
 			if(formStr.equals(form.getName())){
 				return form;
 			}
@@ -483,10 +470,10 @@
 	public DictionaryElement checkElementAsChild(String elementName, DictionaryElement parent){
 		//System.out.println("Terminology.checkElementAsChild() >> "+elementName+" FROM "+parent.getName());
 		if(parent!=null){
-			Vector<DictionaryElement> children = parent.children();
+			Enumeration<DictionaryElement> children = parent.children();
 			if(children!=null){
-				for(int i = 0 ; i< children.size(); ++i){
-					DictionaryElement child = children.get(i);
+				while(children.hasMoreElements()){
+					DictionaryElement child = children.nextElement();
 					if(child.getName().equals(elementName)){
 						return child;
 					}
@@ -499,10 +486,10 @@
 	public DictionaryElement checkLemme(String idLemme, DictionaryElement root){
 		//System.out.println("Terminology.checkElementAsChild() >> "+elementName+" FROM "+parent.getName());
 		if(root!=null){
-			Vector<DictionaryElement> children = root.children();
+			Enumeration<DictionaryElement> children = root.children();
 			if(children!=null){
-				for(int i = 0 ; i< children.size(); ++i){
-					DictionaryElement child = children.get(i);
+				while(children.hasMoreElements()){
+					DictionaryElement child = children.nextElement();
 					if(child.getId().equals(idLemme)){
 						return child;
 					}
@@ -520,10 +507,10 @@
 	 */
 	public DictionaryElement checkAndAddForm(String newForm, DictionaryElement lemme){
 		if(lemme!=null){
-			Vector<DictionaryElement> forms = lemme.children();
+			Enumeration<DictionaryElement> forms = lemme.children();
 			if(forms!=null){
-				for(int i = 0 ; i< forms.size(); ++i){
-					DictionaryElement formOfLemme = forms.get(i);
+				while(forms.hasMoreElements()){
+					DictionaryElement formOfLemme = forms.nextElement();
 					if(formOfLemme.getName().equals(newForm)){
 						//System.out.println(newTerm+" is already in the terminology !");
 						return formOfLemme;
